#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 1 --target-dir /data/traffic/tmp/vehflow_day_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by LSH --where "1=1" --query """SELECT result.*,  to_char(result.GXRQ,'yyyy-MM-dd') as day,to_char(current_date,'yyyy-MM-dd') as insert_date,to_char(result.GXRQ,'yyyy-MM') as month FROM zckj.VM_VEH_FLOW result where to_char(result.GXRQ,'yyyy-MM-dd')='$4' and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/data/traffic/tmp/vehflow_day_tmp' INTO TABLE ods.imp_vehflow_day"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO ods.imp_vehflow_i PARTITION(month) SELECT * from  ods.imp_vehflow_day DISTRIBUTE BY rand()" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
