#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect jdbc:oracle:thin:@172.16.17.82:1521:gyjg --username gyjg_zckj --password zckj2018 -m 3 --target-dir /data/traffic/tmp/VEHICLE_GY_DAY_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by XH --where "1=1" --query """SELECT result.*, to_char(result.GXRQ,'yyyy-MM-dd') as day,'$time',to_char(result.GXRQ,'yyyy-MM') as month FROM zckj.VM_VEHICLE_GY result where to_char(result.GXRQ,'yyyy-MM-dd')='$1' and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/data/traffic/tmp/VEHICLE_GY_DAY_tmp' INTO TABLE VEHICLE_GY_DAY"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO VEHICLE_GY_ALL PARTITION(month) SELECT * from  VEHICLE_GY_DAY DISTRIBUTE BY rand()" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
