#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 1 --target-dir /ods/vio/imp_vio_violation_del_day_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by wfbh --where "1=1" --query """SELECT a.*,to_char(a.GXSJ,'yyyy-MM') as month,'$time',to_char(a.GXSJ,'yyyy-MM-dd') as day FROM zckj.VM_VIO_VIOLATION_DEL a where to_char(a.GXSJ,'yyyy-MM-dd')='$4' and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/ods/vio/imp_vio_violation_del_day_tmp' INTO TABLE ods.imp_vio_violation_del_day"
