#!/bin/bash
##--信用分等级分析 
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table  credit_level_analysis_day 
select 
a.big_level ,
case 
when a.big_level=1 then '优'  
when a.big_level=2 then '良'
when a.big_level=3 then '中'
when a.big_level=4 then '差' 
else 'other' end,
a.num ,
trunc(current_date,'MM'),
current_timestamp()
from 
(select big_level ,count(1) as num  from credit_score_mining_out 
where  eval_day= trunc(current_date,'MM')  group by big_level ) a "
##天表数据导入到全表
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into credit_level_analysis select * from credit_level_analysis_day"
sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_level_analysis2mysql.sh>>/home/logs/blacklist/credit_level_analysis2mysql_$(date +\%Y\%m\%d).log 2>&1
