#!/bin/bash
##雷达信用
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e"insert overwrite table credit_radar select 1,'违法行为',avg(crime_percent_rank),date_add(eval_day,-1),current_date 
 from credit_score_mining_out  where eval_day=current_date  group by eval_day"
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into credit_radar select 2,'安全行驶',avg(accident_percent_rank),date_add(eval_day,-1),current_date 
from credit_score_mining_out where eval_day=current_date  group by eval_day "
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into credit_radar select 3,'基础信息',avg(per_info_rank),date_add(eval_day,-1), current_date 
from credit_score_mining_out where eval_day=current_date  group by eval_day "
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e " insert into credit_radar select 4,'文明活动',avg(good_act_rank),date_add(eval_day,-1),current_date 
from credit_score_mining_out where eval_day=current_date  group by eval_day"
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into credit_radar select 5,'信用履约',avg(task_percent_rank),date_add(eval_day,-1) ,current_date 
from credit_score_mining_out where eval_day=current_date  group by eval_day"
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into credit_radar_his partition(day) select * , date_time from credit_radar"  -hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600 


