#!/bin/bash
source /etc/profile
time=$(date "+%Y-%m-%d")
DAY=`date +%d`

#使用python脚本导入源数据
rm -rf /home/sqooptask/lifuyi_py/log/data2hive.log
/usr/local/anaconda3/bin/python3 /home/sqooptask/lifuyi_py/automaticComdata_threading.py
file="/home/sqooptask/lifuyi_py/log/data2hive.log"
#仰正
ssh root@172.16.25.25 "/usr/local/anaconda3/bin/python3 /home/data_mining/guiyang_traffic/code_in_use/credit_per_info_zyz_online.py $time"
#黑名单
sh /var/lib/hadoop-hdfs/work/blacklist/blacklist_everyday_merge_script.sh
#信用分计算
echo '开始计算信用分'
ssh root@172.16.25.25 "/usr/local/anaconda3/bin/python3 /home/data_mining/guiyang_traffic/code_in_use/credit_action_times_yy_online.py $time '2019-09-06'"
ssh root@172.16.25.25 "/usr/local/anaconda3/bin/python3 /home/data_mining/guiyang_traffic/code_in_use/credit_score_out_fsc_online.py $time"
#激活人数统计表 每天调度,新版会弃用
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_activate_stat.sh
#sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_activate_stat2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_activate_stat2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#信用数据总计统计表 每天调度，新版需要保留部分
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_total.sh
#sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_total2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_total2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#驾驶员信息表 每天调度
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_driver_message.sh
sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_driver_info2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_driver_info2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#信用预警表 每天调度
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_score_warn.sh
sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_warn2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_warn2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#信用分变更分析，新版弃用
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_change_analysis.sh
#sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_change_analysis2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_change_analysis2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#信用分月变更调度 每天调度，新版保留月调度即可
if [ "$DAY" = 01 ]; then
sh /home/credict/tomysql/credit_score_record_month.sh >> /home/credict/tomysql/credit_score_record_month_$(date +\%Y\%m\%d).log 2>&1 &
fi
sh /home/credict/tomysql/credit_score_record_everyday.sh >> /home/credict/tomysql/credit_score_record_everyday_$(date +\%Y\%m\%d).log 2>&1 &
#sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_score_record.sh
#sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_record2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_record2mysql_$(date +\%Y\%m\%d).log 2>&1 &
#信用雷达，新版弃用
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_radar.sh
#sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_radar2mysql.sh >>  /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_radar2mysql_$(date +\%Y\%m\%d).log 2>&1 &
##变更详情
sh /var/lib/hadoop-hdfs/work/credit/statistics_everyday_credit_score_detail.sh
sh /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_detail2mysql.sh >> /var/lib/hadoop-hdfs/work/blacklist/sqoop2mysql/credit_score_detail2mysql_$(date +\%Y\%m\%d).log 2>&1 &
##驾驶员类别
##sh /home/sqooptask/driver_type/tomsql.sh
##新版测试sql
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -f /home/credict/hive_cal/day/overview.sql
sh /home/credict/tomysql/day/credit_day.sh>>/home/credict/tomysql/day/credit_day_$(date +\%Y\%m\%d).log 2>&1 & 
if [ "$DAY" = 01 ]; then
sh /home/credict/tomysql/month/credit_month.sh>>/home/credict/tomysql/month/credit_month_$(date +\%Y\%m\%d).log 2>&1 &
fi
