#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 1 --target-dir /data/traffic/tmp/ACD_FILEHUMAN_A_DAY_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by b.sgbh --where "1=1" --query """select result.*,'$time' from zckj.VM_ACD_FILEHUMAN_A result join (select sgbh, xzqh FROM zckj.VM_ACD_FILE_A  where  to_char(GXSJ,'yyyy-MM-dd')='$4')b on result.sgbh = b.sgbh and result.xzqh = b.xzqh and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/data/traffic/tmp/ACD_FILEHUMAN_A_DAY_tmp' INTO TABLE ACD_FILEHUMAN_A_DAY"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO ACD_FILEHUMAN_A_ALL SELECT * from  ACD_FILEHUMAN_A_DAY" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
