#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 3 --target-dir /data/traffic/tmp/KCKP_ACCIDENTINFO_DAY_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by ACCIDENTINFOID --where "1=1" --query """SELECT result.*, to_char(result.FINISHTIME,'yyyy-MM-dd') as day,'$time',to_char(result.FINISHTIME,'yyyy-MM') as month FROM zckj.VM_QUICK_ACCIDENTINFO result where to_char(result.FINISHTIME,'yyyy-MM-dd')='$4' and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/data/traffic/tmp/KCKP_ACCIDENTINFO_DAY_tmp' INTO TABLE KCKP_ACCIDENTINFO_DAY"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO KCKP_ACCIDENTINFO_ALL PARTITION(month) SELECT * from  KCKP_ACCIDENTINFO_DAY DISTRIBUTE BY rand()" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
