#!/bin/bash
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 1 --target-dir /illegal/ods/VIO_FORCE_DEL_DAY_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by XH --where "1=1" --query """select result.*,to_char(result.GXSJ,'yyyy-MM') as month,to_char(current_date,'yyyy-MM-dd') as insert_date,to_char(result.GXSJ,'yyyy-MM-dd') as day from zckj.VM_VIO_FORCE_DEL_A result where  to_char(result.GXSJ,'yyyy-MM-dd')='$4' and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/illegal/ods/VIO_FORCE_DEL_DAY_tmp' INTO TABLE  illegal.vio_force_del_ods_day"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO  illegal.vio_force_del_ods_all PARTITION(day) SELECT * from  illegal.vio_force_del_ods_day DISTRIBUTE BY rand()" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
