#!/bin/bash
time=$(date "+%Y-%m-%d %H:%M:%S")
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/sqoop import --connect $1  --username $2 --password $3 -m 1 --target-dir /data/traffic/tmp/VIO_SURVEIL_DAY_tmp --delete-target-dir --fields-terminated-by "^" --lines-terminated-by "\n" --hive-drop-import-delims --split-by XH --where "1=1" --query """SELECT result.*, to_char(result.GXSJ,'yyyy-MM-dd') as day,'$time',to_char(result.GXSJ,'yyyy-MM') as month FROM zckj.VM_VIO_SURVEIL result where  to_char(result.GXSJ,'yyyy-MM-dd')='$4'  and \$CONDITIONS"""
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "LOAD DATA INPATH '/data/traffic/tmp/VIO_SURVEIL_DAY_tmp' INTO TABLE  vio_surveil_day"
#/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "INSERT INTO vio_surveil_all PARTITION(month) SELECT * from  vio_surveil_day DISTRIBUTE BY rand()" --hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600
